<%
Function Constellation(Births)

	Dim Birth
	Birth = Births
	dim BirthDay,BirthMonth
	BirthDay=day(Birth)
	BirthMonth=month(Birth)
	Constellation = "<img width=15 height=15 src=" & DEF_BBS_HomeUrl & "images/" & GBL_DefineImage & "cnstl/z"
	Select Case BirthMonth
	case 1
		if BirthDay>=21 then
			Constellation = Constellation & "11.gif alt=水瓶座 align=absmiddle>"
		else
			Constellation = Constellation & "10.gif alt=魔羯座 align=absmiddle>"
		end if
	case 2
		if BirthDay>=20 then
			Constellation = Constellation & "12.gif alt=双鱼座 align=absmiddle>"
		else
			Constellation = Constellation & "11.gif alt=水瓶座 align=absmiddle>"
		end if
	case 3
		if BirthDay>=21 then
			Constellation = Constellation & "1.gif alt=白羊座 align=absmiddle>"
		else
			Constellation = Constellation & "12.gif alt=双鱼座 align=absmiddle>"
		end if
	case 4
		if BirthDay>=21 then
			Constellation = Constellation & "2.gif alt=金牛座 align=absmiddle>"
		else
			Constellation = Constellation & "1.gif alt=白羊座 align=absmiddle>"
		end if
	case 5
		if BirthDay>=22 then
			Constellation = Constellation & "3.gif alt=双子座 align=absmiddle>"
		else
			Constellation = Constellation & "2.gif alt=金牛座 align=absmiddle>"
		end if
	case 6
		if BirthDay>=22 then
			Constellation = Constellation & "4.gif alt=巨蟹座 align=absmiddle>"
		else
			Constellation = Constellation & "3.gif alt=双子座 align=absmiddle>"
		end if
	case 7
		if BirthDay>=23 then
			Constellation = Constellation & "5.gif alt=狮子座 align=absmiddle>"
		else
			Constellation = Constellation & "4.gif alt=巨蟹座 align=absmiddle>"
		end if
	case 8
		if BirthDay>=24 then
			Constellation = Constellation & "6.gif alt=处女座 align=absmiddle>"
		else
			Constellation = Constellation & "5.gif alt=狮子座 align=absmiddle>"
		end if
	case 9
		if BirthDay>=24 then
			Constellation = Constellation & "7.gif alt=天秤座 align=absmiddle>"
		else
			Constellation = Constellation & "6.gif alt=处女座 align=absmiddle>"
		end if
	case 10
		if BirthDay>=24 then
			Constellation = Constellation & "8.gif alt=天蝎座 align=absmiddle>"
		else
			Constellation = Constellation & "7.gif alt=天秤座 align=absmiddle>"
		end if
	case 11
		if BirthDay>=23 then
			Constellation = Constellation & "9.gif alt=射手座 align=absmiddle>"
		else
			Constellation = Constellation & "8.gif alt=天蝎座 align=absmiddle>"
		end if
	case 12
		if BirthDay>=22 then
			Constellation = Constellation & "10.gif alt=魔羯座 align=absmiddle>"
		else
			Constellation = Constellation & "9.gif alt=射手座 align=absmiddle>"
		end if
	case else
		Constellation=""
	end select

End Function

Function DisplayBirthAnimal(BirthYear)

	Dim Temp,tmp
	Temp = BirthYear mod 12
	tmp = "<img width=15 height=15 src=" & DEF_BBS_HomeUrl & "images/" & GBL_DefineImage & "snxa/sx"
	Select Case Temp
		Case 0: tmp=tmp & "9s.gif align=absmiddle alt=申猴>"
		Case 1: tmp=tmp & "10s.gif align=absmiddle alt=酉鸡>"
		Case 2: tmp=tmp & "11s.gif align=absmiddle alt=戌狗>"
		Case 3: tmp=tmp & "12s.gif align=absmiddle alt=亥猪>"
		Case 4: tmp=tmp & "1s.gif align=absmiddle alt=子鼠>"
		Case 5: tmp=tmp & "2s.gif align=absmiddle alt=丑牛>"
		Case 6: tmp=tmp & "3s.gif align=absmiddle alt=寅虎>"
		Case 7: tmp=tmp & "4s.gif align=absmiddle alt=卯兔>"
		Case 8: tmp=tmp & "5s.gif align=absmiddle alt=辰龙>"
		Case 9: tmp=tmp & "6s.gif align=absmiddle alt=巳蛇>"
		Case 10: tmp=tmp & "7s.gif align=absmiddle alt=午马>"
		Case 11: tmp=tmp & "8s.gif align=absmiddle alt=未羊>"
		Case else: tmp = ""
	End Select
	
	DisplayBirthAnimal = tmp

End Function

%>